Offer successful listed
curl --request POST \
--url https://scx-sbx.api.jtl-software.com/v1/channel/offer/listed \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"offerList": [
{
"sellerId": "4711",
"offerId": 5437233,
"listedAt": "2019-07-01T15:43:21+00:00",
"channelOfferId": "XCD233554",
"listingUrl": "https://mybestdeals.com/listing/1224232323"
}
]
}
'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/channel/offer/listed"
payload = { "offerList": [
{
"sellerId": "4711",
"offerId": 5437233,
"listedAt": "2019-07-01T15:43:21+00:00",
"channelOfferId": "XCD233554",
"listingUrl": "https://mybestdeals.com/listing/1224232323"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
offerList: [
{
sellerId: '4711',
offerId: 5437233,
listedAt: '2019-07-01T15:43:21+00:00',
channelOfferId: 'XCD233554',
listingUrl: 'https://mybestdeals.com/listing/1224232323'
}
]
})
};
fetch('https://scx-sbx.api.jtl-software.com/v1/channel/offer/listed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Offer
Offer successful listed
Offer listed
POST
/
v1
/
channel
/
offer
/
listed
Offer successful listed
Authorizations
As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.
Body
application/json
List of offers that have been successfully listed on the channel.
Batch of offers that have been successfully listed on the channel.
Required array length:
1 - 1000 elementsShow child attributes
Show child attributes
Response
Listings received
Was this page helpful?
⌘I